Search Gradle plugins

de.highbyte_le.semver

Read semantic versioning file and set project version accordingly.

https://github.com/pmairif/gradle-semver

Version 1.3.1 (latest)

Created 31 January 2019.

Read semantic versioning file and set project version accordingly.

Using the plugins DSL:

plugins {
  id "de.highbyte_le.semver" version "1.3.1"
}

Using legacy plugin application:

buildscript {
  repositories {
    maven {
      url "https://plugins.gradle.org/m2/"
    }
  }
  dependencies {
    classpath "gradle.plugin.de.highbyte_le:gradle-semver:1.3.1"
  }
}

apply plugin: "de.highbyte_le.semver"

Using the plugins DSL:

plugins {
  id("de.highbyte_le.semver") version "1.3.1"
}

Using legacy plugin application:

buildscript {
  repositories {
    maven {
      url = uri("https://plugins.gradle.org/m2/")
    }
  }
  dependencies {
    classpath("gradle.plugin.de.highbyte_le:gradle-semver:1.3.1")
  }
}

apply(plugin = "de.highbyte_le.semver")

Learn how to apply plugins to subprojects